﻿Option Strict On
Imports System.Device.Location
Imports Microsoft.Phone.Controls.Maps
Partial Public Class MapPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        Dim myLatitude = myParam("latitude")
        Dim myLongitude = myParam("longitude")
        Dim myAddress = myParam("name")

        Map1.Center = New GeoCoordinate(CDbl(myLatitude), CDbl(myLongitude))
        Dim myPin As New Pushpin
        myPin.Location = New GeoCoordinate(Double.Parse(myLatitude), Double.Parse(myLongitude))
        myPin.Content = myAddress

        Map1.Children.Add(myPin)

        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub MapPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Map1.ZoomLevel = 10
    End Sub

    Private Sub Button1_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Select Case Button1.Content.ToString
            Case "航空写真"
                Map1.Mode = New AerialMode
                Button1.Content = "道路表示"
            Case "道路表示"
                Map1.Mode = New RoadMode
                Button1.Content = "航空写真"
        End Select
    End Sub
End Class
